com.verisign.epp.codec.registry.v01

## Enum EPPRegistryExternalHost.SharePolicy

- java.lang.Object
- - java.lang.Enum<EPPRegistryExternalHost.SharePolicy>
  - - com.verisign.epp.codec.registry.v01.EPPRegistryExternalHost.SharePolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPRegistryExternalHost.SharePolicy>
  Enclosing class:
    EPPRegistryExternalHost

      public static enum EPPRegistryExternalHost.SharePolicy
      extends java.lang.Enum<EPPRegistryExternalHost.SharePolicy>

  Possible values for the `sharePolicy` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `perRegistrar` Constant for "perRegistrar" policy, where the external hosts are shared across all domains of the registrar.
    `perSystem` Constant for "perSystem" policy, where external hosts are shared across all zones of the system.
    `perZone` Constant for "perZone" policy, where the external hosts are shared across all domains of the zone.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPRegistryExternalHost.SharePolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPRegistryExternalHost.SharePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### perRegistrar

          public static final EPPRegistryExternalHost.SharePolicy perRegistrar

      Constant for "perRegistrar" policy, where the external hosts are shared across all domains of the registrar. There is a single pool of external hosts defined per registrar.

    - #### perZone

          public static final EPPRegistryExternalHost.SharePolicy perZone

      Constant for "perZone" policy, where the external hosts are shared across all domains of the zone. There is a single pool of external hosts defined for the zone.

    - #### perSystem

          public static final EPPRegistryExternalHost.SharePolicy perSystem

      Constant for "perSystem" policy, where external hosts are shared across all zones of the system. There is a single pool of external hosts across all of the zones supported by the system.

  - ### Method Detail

    - #### values

          public static EPPRegistryExternalHost.SharePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryExternalHost.SharePolicy c : EPPRegistryExternalHost.SharePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryExternalHost.SharePolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.